function ActiveFlag =D5ActiveFlag(X,r1,r2,p0)
%Indicate whether the optimal solution of the problem D5 is active for the problem D.
%"1" means active
%%%%%%%%%%%%%%%%%%%%%%
Px_u=[1-p0,p0;p0,1-p0];
%%%%%%%%%%%%%%%%
K0yu=0.5*[X(1) 1-X(1) 1-X(1) X(1)];
Qu_y=[X(4) 1-X(4)];
K1x_yu=[X(5),X(6),1-X(6),1-X(5);1-X(5),1-X(6),X(6),X(5)];
%%%%%%%%%%%%%%%%%%%%%%%%%
K0y=[K0yu(1)+K0yu(3),K0yu(2)+K0yu(4)];
Qyu=[Qu_y(1)*K0y(1),Qu_y(2)*K0y(2),(1-Qu_y(1))*K0y(1),(1-Qu_y(2))*K0y(2)];
K1xyu= K1x_yu.*(ones(2,1)*Qyu);
K1xu=[K1xyu(:,1)+K1xyu(:,2),K1xyu(:,3)+K1xyu(:,4)];
Dbeta=sum(sum(K1xu.*log(1./Px_u)))-sum(sum(K1xyu.*log(1./K1x_yu)))-r1;%beta
Dgamma=log(2)+sum(sum(Qyu.*log([Qu_y,1-Qu_y])))-r2;%gamma
if Dgamma>=0
    ActiveFlag= Dbeta>=0;
else
    ActiveFlag= (Dbeta+Dgamma)>=0;
end
end
